Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Exception_Visitor Class Reference

`#include <PSDL_Exception_Visitor.h>`

Inheritance diagram for TAO_PSDL_Exception_Visitor:

[legend]
Collaboration diagram for TAO_PSDL_Exception_Visitor:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Exception_Visitor ()
| ~TAO_PSDL_Exception_Visitor ()
int | visit_identifier (TAO_PSDL_Identifier *identifier)
int | visit_except_dcl (TAO_PSDL_Except_Dcl *except_dcl)
int | visit_member_list (TAO_PSDL_Member_List *member_list)
int | visit_predefined_type (TAO_PSDL_Predefined_Type *predefined_type)
## Private Methods
void | print_class_for_exception (void)
## Private Attributes
ACE_CString | exception_name_

## Constructor & Destructor Documentation

TAO_PSDL_Exception_Visitor::TAO_PSDL_Exception_Visitor | ( |  | ) |

TAO_PSDL_Exception_Visitor::~TAO_PSDL_Exception_Visitor | ( |  | ) |

## Member Function Documentation

void TAO_PSDL_Exception_Visitor::print_class_for_exception | ( | void |  | ) | `[private]`

int TAO_PSDL_Exception_Visitor::visit_except_dcl | ( | TAO_PSDL_Except_Dcl * | except_dcl | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Node_Visitor.

int TAO_PSDL_Exception_Visitor::visit_identifier | ( | TAO_PSDL_Identifier * | identifier | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Node_Visitor.

int TAO_PSDL_Exception_Visitor::visit_member_list | ( | TAO_PSDL_Member_List * | member_list | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Node_Visitor.

int TAO_PSDL_Exception_Visitor::visit_predefined_type | ( | TAO_PSDL_Predefined_Type * | predefined_type | ) | `[virtual]`

| Reimplemented from TAO_PSDL_Node_Visitor.

## Member Data Documentation

ACE_CString TAO_PSDL_Exception_Visitor::exception_name_`[private]`

The documentation for this class was generated from the following files:

- PSDL_Exception_Visitor.h
- PSDL_Exception_Visitor.cpp